/******************************************************************************
;  *   	@MCU				 : MC51F003A4
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			         жϷ                               		
******************************************************************************/

#include "MC51F003A4_it.h"

/************************************************
;  *    @Function Name       : PWM0_ISR
;  *    @Description         : PWM0 жϷ
;  *    @IN_Parameter      	 :  
;  *    @Return parameter    :
;  ***********************************************/
void PWM0_ISR(void) interrupt PWM0_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_PWM0= SFRSL0;		//жϻSFR
	
	SLK_SFR0();               //лSFR0
	P00D = !P00D;
    PWM0CR &= ~DEF_SET_BIT5;
	
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_PWM0;		//˳жϻԭSFR
}
/************************************************
;  *    @Function Name       : PWM1_ISR
;  *    @Description         : PWM1жϷ
;  *    @IN_Parameter        :
;  *    @Return parameter    :
;  ***********************************************/
void PWM1_ISR(void) interrupt PWM1_IRQn //ж
{
	SFR_INTERRUPT_BUFF_BIT_PWM1= SFRSL0;		//жϻSFR
	
    SLK_SFR1();               //лSFR1
    PWM1IER &= ~DEF_SET_BIT7; //жϱ־
    SLK_SFR0();               //лSFR0
	
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_PWM1;		//˳жϻԭSFR
}
/************************************************
;  *    @Function Name       : PWM1_FB_ISR
;  *    @Description         : PWM1ɲж
;  *    @IN_Parameter        :
;  *    @Return parameter    :
;  ***********************************************/
void PWM1_FB_ISR(void) interrupt PWM1_FB_IRQn //ɲж
{
	SFR_INTERRUPT_BUFF_BIT_PWM1_FB= SFRSL0;		//жϻSFR
	
    SLK_SFR1();               //лSFR1
    PWM1IER &= ~DEF_SET_BIT6; //жϱ־
    SLK_SFR0(); 			  //лSFR0
	
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_PWM1_FB;		//˳жϻԭSFR
}
/************************************************
;  *    @Function Name       : ADC_ISR
;  *    @Description         : ADCжϷ
;  *    @IN_Parameter        :
;  *    @Return parameter    :
;  ***********************************************/
void ADC_ISR(void) interrupt ADC_IRQn //ADCж
{
	SFR_INTERRUPT_BUFF_BIT_ADC = SFRSL0;		//жϻSFR
	
	SLK_SFR0();				//лSFR0
    ADCIF = 0; //־
	
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_ADC;		//˳жϻԭSFR
}



/**************************** end of file *********************************************/
