/******************************************************************************
;  *   	@MCU				 : MC51F003A4
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			                                        		
******************************************************************************/

#ifndef INT_H__
#define INT_H__
#include "User_Def.h"

#define		SET_INT0_NULL()		EXTIS&=0xfc
#define		SET_INT0_DOWN()		EXTIS&=~0x02;EXTIS|=0x01
#define		SET_INT0_RISE()		EXTIS|=0x02;EXTIS&=~0x01
#define		SET_INT0_CHANGE()	EXTIS|=0x03	

#define		SET_INT1_NNLL()		EXTIS1&=0xfc
#define		SET_INT1_DOWN()		EXTIS1&=~0x02;EXTIS1|=0x01
#define		SET_INT1_RISE()		EXTIS1|=0x02;EXTIS1&=~0x01
#define		SET_INT1_CHANGE()	EXTIS1|=0x03	



void INT_Init(void);


#endif

/**************************** end of file *********************************************/