/******************************************************************************
;  *   	@MCU				 : MC51F003A4
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			                                        		
******************************************************************************/
#include "TIMER.h"

/************************************************
;  *    @Function Name       : Timer0_Init
;  *    @Description         : T0
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void Timer0_Init(void)
{
	TMOD = 0x01;	  //ڲʱ  ʽ1
	TCON = 0x00;
	TCON1 &= ~DEF_SET_BIT3;		//sys
	TCON1 &= ~(DEF_SET_BIT0|DEF_SET_BIT1);  
	//Ƶ	ֹIOת

	TR0 = 0; //Ƕд TLx/THx ֵֹͣ(TR0=0;)
	TL0 = 0xA0;
	TH0 = 0x15; //дʱȶдLH 65536-60000  2.5S

	IP &= ~DEF_SET_BIT1;
	IPH &= ~DEF_SET_BIT1; //жϵȼ
	T0IE = 1;
	EA = 1;
}

void Timer0_ISR(void) interrupt T0_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_T0 = SFRSL0;		//жϻSFR
	SLK_SFR0();               //лSFR0
	TR0 = 0; //Ƕд TLx/THx ֵֹͣ(TR0=0;)
	TL0 = 0xA0;
	TH0 = 0x15; //дʱȶдLH 65536-60000  2.5S
	TR0 = 1;			   //T0

	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_T0;		//˳жϻԭSFR
}


/**************************** end of file *********************************************/







