/******************************************************************************
;  *   	@MCU				 : MC51F003A4
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			                                        		
******************************************************************************/
#include "TIMER.h"

/************************************************
;  *    @Function Name       : Timer2_Init
;  *    @Description         : T2
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void Timer2_Init(void)
{
#if (TIMER_MODE == 0) //ʽ0 16λԶ
	//demoʹ,Ϊ˽,ֿд,ʵʲĴԼrom
	T2CON1 |= DEF_SET_BIT0; //ʹT2
	T2CON &= ~DEF_SET_BIT1; //ڲʱ

	T2CON &= ~DEF_SET_BIT0;
	T2CON1 &= ~DEF_SET_BIT6;
	T2CON1 &= ~DEF_SET_BIT5; //000  ʽ0

	T2MOD |= DEF_SET_BIT7; //Զ
	T2MOD &= 0x8F;
	T2MOD |= 0x20;			//FT2=Fsys/16
	T2MOD &= ~DEF_SET_BIT3; //IOת
	TR2 = 0;
	//Ƕд TL2/TH2(RCAPL2/RCAPH2)ֵ,ֹͣ(TR2=0), T2 Ԥ֪
	//дʱ:д TL2(RCAPL2),дTH2(RCAPH2),TL2(RCAPL2)ֵӳڲcounter,
	//ʱ:ȶ TL2(RCAPL2),ٶTH2(RCAPH2),򽫶ȡֵ
	TL2 = (65536 - 1000) % 256;
	TH2 = (65536 - 1000) / 256;
	RCAPL2 = (65536 - 1000) % 256;
	RCAPH2 = (65536 - 1000) / 256; //1ms
	TR2 = 1;
	IE1 |= DEF_SET_BIT0; //ʹж
#endif

#if (TIMER_MODE == 1)		//ʽ1 벶
	T2CON1 |= DEF_SET_BIT0; //ʹT2
	T2CON |= DEF_SET_BIT3;  //ʹT2EX
	T2CON &= ~DEF_SET_BIT1; //ڲʱ

	//	T2MOD|=DEF_SET_BIT7;		//Զ
	T2CON |= DEF_SET_BIT0;
	T2CON1 &= ~DEF_SET_BIT6;
	T2CON1 &= ~DEF_SET_BIT5; //  ʽ1 벶

	T2MOD &= 0x8F;
	T2MOD |= 0x40;			//FT2=Fsys/64
	T2MOD &= ~DEF_SET_BIT3; //IOת
							//	T2CON1&=~DEF_SET_BIT2;		//½ش
	T2CON1 |= DEF_SET_BIT2; //

	//	TR2=1;
	IE1 |= DEF_SET_BIT0; //ʹж
#endif

#if (TIMER_MODE == 3)		//ʽ3 16λȽ
	T2CON1 |= DEF_SET_BIT0; //ʹT2
	T2CON &= ~DEF_SET_BIT1; //ڲʱ
	T2CON &= ~DEF_SET_BIT0;

	T2CON &= ~DEF_SET_BIT0;
	T2CON1 |= DEF_SET_BIT6;
	T2CON1 &= ~DEF_SET_BIT5; //  ʽ3

	T2MOD |= DEF_SET_BIT7; //Զ
	T2MOD &= 0x8F;
	T2MOD |= 0x20;		   //FT2=Fsys/16
	T2MOD |= DEF_SET_BIT3; //IO
	T2MOD |= DEF_SET_BIT2;
	T2MOD &= ~DEF_SET_BIT1; //ʼֵ͵ƽ
							//	T2MOD&=~DEF_SET_BIT2;
							//	T2MOD|=DEF_SET_BIT1;		//ʼֵHƽ

	T2CON1 &= ~DEF_SET_BIT7; //ת
	TR2 = 0;
	//Ƕд TL2/TH2(RCAPL2/RCAPH2)ֵ,ֹͣ(TR2=0), T2 Ԥ֪
	//дʱ:д TL2(RCAPL2),дTH2(RCAPH2),TL2(RCAPL2)ֵӳڲcounter,
	//ʱ:ȶ TL2(RCAPL2),ٶTH2(RCAPH2),򽫶ȡֵ
	TL2 = 0;
	TH2 = 0;
	RCAPL2 = 1000 % 256;
	RCAPH2 = 1000 / 256; //1ms
	TR2 = 1;
	IE1 |= DEF_SET_BIT0; //ʹж	ʹѡ
#endif
}
void Timer2_ISR(void) interrupt T2_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_T2 = SFRSL0;		//жϻSFR
	
#if (TIMER_MODE == 0) //ʽ0 16λԶ
	SLK_SFR0();
	if (TF2 == 1)
	{
		TF2 = 0;
		LED1 = !LED1;
	}
#endif

#if (TIMER_MODE == 1) //ʽ1 벶
	SLK_SFR0();
	if (TF2 == 1)	 //ʱ  
	{
		TF2 = 0;
		High_Overflow_Num++;
		//printf("T2_Overflow\r\n");
	}
	if (EXTF2 == 1)
	{
		if (FLAG_T2_UP == 0)
		{
			TR2 = 1;
			FLAG_T2_UP = 1;			 //׽
			T2CON1 &= ~DEF_SET_BIT2; //½ش
			//printf("T2up\r\n");
		}
		else //׽½
		{
			TR2 = 0;		  //رնʱ
			FLAG_T2_DOWN = 1; //׽
		}
		//		if(Flag_T2_Down==0)
		//		{
		//			TR2=1;
		//			Flag_T2_Down=1;			//׽
		//			T2CON1|=DEF_SET_BIT2;		//
		//			printf("T2down\r\n");
		//		}else			//׽Ͻ
		//		{
		//			TR2=0;
		//			Flag_T2_Up=1;
		//		}
		EXTF2 = 0;
	}
#endif

#if (TIMER_MODE == 3) //ʽ3
	SLK_SFR0();
	if (TF2 == 1)
	{
		TF2 = 0;
		LED1 = !LED1;
	}
#endif
	
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_T2;		//˳жϻԭSFR
}

/**************************** end of file *********************************************/
