/******************************************************************************
;  *   	@MCU				 : MC51F003A4
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			          PWM1                              		
******************************************************************************/

#include "PWM1.h"

/************************************************
;  *    @Function Name       : PWM1_User_Init
;  *    @Description         : PWM1
;  *                           ڵÿ⺯ʱʼóԱ
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void PWM1_User_Init(void)
{
    PWM1_InitTypeDef PWM1_initstructure;

		PWM1_StructInit(&PWM1_initstructure);     //ʼгԱ
	
    PWM1_T_Set(1000 - 1); //T=(p+1)/Fsys ((999+1)/(16M/16))=0.001us=1ms
    PWM1_D0_Set(600 - 1);
    //	PWM1_D1_Set(500 - 1);		//ģʽͨЧ
    PWM1_D2_Set(500 - 1);
    //	PWM1_D3_Set(500 - 1);		//ģʽͨЧ
    PWM1_D4_Set(400 - 1);
    //	PWM1_D5_Set(500 - 1);		//ģʽͨЧ

    PWM1_initstructure.PWM1_FB_polarity = PWM1_FB_POL_DOWN;                                                              //ɲ½
    PWM1_initstructure.PWM1_FB_OE = PWM1_FB_OE_ENABLE;                                                                   //ɲIOʹ
    PWM1_initstructure.PWM1_out_cmp_chx = PWM1_OUT_CMP_ALL;                                                              //ȫʹ
    PWM1_initstructure.PWM1_clock_source = PWM1_CLK_FSYS;                                                                //ʱԴϵͳʱ
    PWM1_initstructure.PWM1_mode = PWM1_MODE_COMPLEMENTARY_01 | PWM1_MODE_COMPLEMENTARY_23 | PWM1_MODE_COMPLEMENTARY_45; //ģʽ
    PWM1_initstructure.PWM1_clock_division = PWM1_CLK_DIV_16;                                                            //ʱӷƵ
    PWM1_initstructure.PWM1_auto_load = PWM1_AUTO_LOAD_ENABLE;                                                           //Զ
    PWM1_initstructure.PWM1_deat_oe = PWM1_DEAT_OE_ENABLE_01 | PWM1_DEAT_OE_ENABLE_23 | PWM1_DEAT_OE_ENABLE_45;          //ʹ
    PWM1_initstructure.PWM1_polarity = PWM1_POL_HIGH_01 | PWM1_POL_HIGH_23 | PWM1_POL_HIGH_45;                           //Ը
    PWM1_initstructure.PWM1_interrupt = ENABLE;                                                                          //ʹPWMж
    PWM1_initstructure.PWM1_interrupt_priority = LOW;                                                                    //жȼ
    PWM1_initstructure.PWM1_FB_interrupt = ENABLE;                                                                       //ʹɲж
    PWM1_initstructure.PWM1_FB_interrupt_priority = HIGH;                                                                //жȼ

    PWM1_Init(&PWM1_initstructure);

    PWM1_Deat_Time01_Set(30);
    PWM1_Deat_Time23_Set(20);
    PWM1_Deat_Time45_Set(10);
}

/**************************** end of file *********************************************/
