/******************************************************************************
;  *   	@MCU				 : MC51F003A4
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			                                        		
******************************************************************************/
#include "TIMER.h"

/************************************************
;  *    @Function Name       : Timer3_Init
;  *    @Description         : T3
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void Timer3_Init(void)
{
	T3CR |= DEF_SET_BIT3; //ʹT3
	T3CR |= DEF_SET_BIT6; //ģʽ
	T3CR &= ~(DEF_SET_BIT0|DEF_SET_BIT1|DEF_SET_BIT2);		  //0.25S
	T3CR |= DEF_SET_BIT7; //TR3=1
}
void Timer3_ISR(void) interrupt T3_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_T3 = SFRSL0;		//жϻSFR

	//SLK_SFR0();
	wake_up_status = 1;	//ʱ
	
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_T3;		//˳жϻԭSFR
}

/**************************** end of file *********************************************/

