/******************************************************************************
;  *   	@MCU				 : MC51F003A4
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			           T2ʱʹ  
						TIMER.h޸TIMER_MODEֵлͬķʽ
						ʽ0	P00D 1msת
						ʽ1	P21벶	
						ʽ3	P00DP20D 1msת                           		
******************************************************************************/

#include "User_Def.h"

//ȫֱ
__O bit_flag flag1;
__O bit_flag SFR_interrupt_buff_H;
__O bit_flag SFR_interrupt_buff_L;
__O uint16_t High_Overflow_Num = 0;
//˽б
uint32_t High_Level_Time = 0;

/************************************************
;  *    @Function Name       : delay
;  *    @Description         : ͨʱ
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void delay(uint16_t Num)
{
	for (; Num > 0; Num--)
	{
		_nop_();
	}
}
void main(void)
{
	DISABLE_GIE(); //رж
	GPIO_Init();
	UART1_Init();
	Timer2_Init();
	ENABLE_GIE(); //ж
	delay(100);
	printf("Sinomcu\r\n");
	flag1.byte = 0; //־λ
	while (1)
	{
#if (TIMER_MODE == 1)	 //ʽ1 벶
		if (FLAG_T2_DOWN) //
		{
			FLAG_T2_DOWN = 0;
			High_Level_Time = RCAPL2;
			High_Level_Time += (u16)RCAPH2 << 8; //ȡ  жѾرTR=0;

			TL2 = 0;
			TH2 = 0;
			RCAPL2 = 0;
			RCAPH2 = 0;
			FLAG_T2_UP = 0;
			High_Level_Time=High_Level_Time+((u32)High_Overflow_Num<<16);
			printf("%lu\r\n",High_Level_Time);	//ʱ=High_Overflow_Num*4 us
			High_Overflow_Num = 0;
			T2CON1 |= DEF_SET_BIT2; //
		}
//		if(Flag_T2_Up)
//		{
//			Flag_T2_Up=0;
//			High_Level_Time=RCAPL2;
//			High_Level_Time+=(u16)RCAPH2<<8;

//			TL2=0;
//			TH2=0;
//			RCAPL2=0;
//			RCAPH2=0;
//			Flag_T2_Down=0;
//			High_Level_Time=High_Level_Time+((u32)High_Overflow_Num<<16);
//			printf("%lu\r\n",High_Level_Time);	//ʱ=High_Overflow_Num*4 us
//			High_Overflow_Num=0;
//			T2CON1&=~DEF_SET_BIT2;		//½ش
//		}
#endif
	}
}

/**************************** end of file *********************************************/

